/*
 * Class LIST [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2069 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2069 [] = {0xFF01,1551,2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2069 [] = {0xFF01,2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2069 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2069 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2069 [] = {0xFF01,2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2069 [] = {0xFF01,2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2069 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2069 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2069 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2069 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2069 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2069 [] = {2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2069 [] = {0xFF01,2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2069 [] = {0xFF01,2050,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2069 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2069 [] = {0xFF01,2045,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2069 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2069 [] = {0xFF01,2068,842,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2069 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_2069[] = {
	{EIF_GENERIC(NULL), 12499, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2069), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2069), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2069), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2069), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2069), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2069), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2069), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2069), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2069), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2069), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2069), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2069), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2069), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2069), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8664, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2069), 8928, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2069), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2069), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9101, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12311, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12316, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2069), 8921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12501, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12322, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2069), 12317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2069), 12320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12325, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2069), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12321, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8927, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2069), 12317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2069), 12318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12325, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12331, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2069), 11022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2069), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12502, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8919, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9324, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12332, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2069), 12313, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2069), 12314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12323, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12329, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12330, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2069), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2069), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2069(void)
{
	IDSC(desc_2069, 0, 2068);
	IDSC(desc_2069 + 1, 1, 2068);
	IDSC(desc_2069 + 32, 1134, 2068);
	IDSC(desc_2069 + 41, 1060, 2068);
	IDSC(desc_2069 + 47, 1444, 2068);
	IDSC(desc_2069 + 56, 1570, 2068);
	IDSC(desc_2069 + 59, 1534, 2068);
	IDSC(desc_2069 + 66, 916, 2068);
	IDSC(desc_2069 + 72, 1135, 2068);
	IDSC(desc_2069 + 81, 1088, 2068);
	IDSC(desc_2069 + 83, 1245, 2068);
	IDSC(desc_2069 + 86, 387, 2068);
	IDSC(desc_2069 + 88, 636, 2068);
	IDSC(desc_2069 + 102, 778, 2068);
	IDSC(desc_2069 + 103, 254, 2068);
	IDSC(desc_2069 + 106, 554, 2068);
	IDSC(desc_2069 + 107, 878, 2068);
	IDSC(desc_2069 + 108, 794, 2068);
}


#ifdef __cplusplus
}
#endif
